<!--
<div>
  <table>
    <thead>
    <tr>
      <th>Name</th>
      <th>Left</th>
      <th>OP</th>
      <th>Right</th>
      <th>Result</th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let item of results">
      <td>{{item.name}}</td>
      <td>{{item.lhs}}</td>
      <td>{{item.operator}}</td>
      <td>{{item.rhs}}</td>
      <td>{{item.result | number:'1.1-3'}}</td>
    </tr>
    </tbody>
  </table>
</div>
-->
<div class="row">
  <div class="col-10">
    <div class="card bg-primary text-white">
      <div class="card-header">
        <div class="row">
          <div class="col">Name</div>
          <div class="col text-right">Left</div>
          <div class="col text-center">OP</div>
          <div class="col text-right">Right</div>
          <div class="col text-center">=</div>
          <div class="col text-right">Result</div>
        </div>
      </div>
      <div class="car-body bg-white text-dark px-3">
        <div class="row" *ngFor="let item of results | async">
          <div class="col">{{item.name}}</div>
          <div class="col text-right">{{item.lhs}}</div>
          <div class="col text-center">{{item.operator}}</div>
          <div class="col text-right">{{item.rhs}}</div>
          <div class="col text-center">=</div>
          <div class="col text-right">{{item.result | number:'1.1-3'}}</div>
        </div>
      </div>
    </div>
  </div>

  <div class="col-2">
    <span *ngIf="loading" class="">Loading...</span>
  </div>
</div>
